Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.xs
Interface XSTypeDecl

All Superinterfaces:
  weblogic.apache.xerces.impl.xs.psvi.XSObject, weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition

All Known Subinterfaces:
  XSSimpleType

All Known Implementing Classes:
  XSComplexTypeDecl

Deprecated. please use JDK supplied XML parsers and transformers

public interface XSTypeDecl
extends weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition

The XML representation for a type declaration schema component is a or element information item

Field Summary

Fields inherited from interface weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition
`COMPLEX_TYPE, SIMPLE_TYPE`

Method Summary
`boolean` | `derivedFrom(String ancestorNS, String ancestorName)` Deprecated. Experimental: return whether this type is derived from a type of the given namespace name and type name.
`boolean` | `derivedFrom(weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition ancestor)` Deprecated. Experimental: return whether this type is derived from a given type.

Methods inherited from interface weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition
`getBaseType, getFinal, getIsAnonymous, getIsFinal, getTypeCategory`

Methods inherited from interface weblogic.apache.xerces.impl.xs.psvi.XSObject
`getName, getNamespace, getType`

Method Detail

### derivedFrom

    public boolean derivedFrom(String ancestorNS,
                               String ancestorName)

  Deprecated.
  Experimental: return whether this type is derived from a type of the given namespace name and type name.

### derivedFrom

    public boolean derivedFrom(weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition ancestor)

  Deprecated.
  Experimental: return whether this type is derived from a given type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD